Skip to main content
GET
curl

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Identifier returned by the corresponding authorized collection; use only a record visible to the signed-in patient.

Response

Successful get a conversation.

id
string<uuid>
required
read-only

Unique identifier of this resource. Returned by the server; not writable.

user
object
required

User for this conversation. Returned by the server; not writable.

created_at
string<date-time>
required
read-only

Created at timestamp in ISO 8601 format. Returned by the server; not writable.

updated_at
string<date-time>
required
read-only

Updated at timestamp in ISO 8601 format. Returned by the server; not writable.

last_message
required

The most recent message. Null when the thread is empty.

last_message_created_at
string<date-time> | null
required
read-only

Last message created at timestamp in ISO 8601 format. Returned by the server; not writable. May be null when unavailable.

last_message_sender_type
enum<string> | null
required
read-only

Last message sender type for this conversation. Returned by the server; not writable. May be null when unavailable.

Available options:
USER,
ADMIN,
DOCTOR,
SYSTEM,
null
unread_count
integer
required
read-only

Unread count for this conversation. Returned by the server; not writable.

subscription_status
string | null
required
read-only

Subscription status for this conversation. Returned by the server; not writable. May be null when unavailable.

is_active
boolean

Whether active applies to this conversation.

pinned_at
string<date-time> | null

Pinned at timestamp in ISO 8601 format. May be null when unavailable.

translation_target_lang
string | null
read-only

Translation target lang for this conversation. Returned by the server; not writable. May be null when unavailable.